<ion-header>
  <ion-toolbar>
    <ion-title>Affluences (booking)</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <p *ngIf="available$ | async as available">
    Selected timeslot: {{available.datetime | date:'dd/MM/YYYY à HH:mm'}}
  </p>
  <form [formGroup]="bookingForm" (ngSubmit)="submitForm()" novalidate>
    <ion-item>
      <ion-label>First name</ion-label>
      <ion-input type="text" formControlName="firstName"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Last name</ion-label>
      <ion-input type="text" formControlName="lastName"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Email</ion-label>
      <ion-input formControlName="email"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Phone number</ion-label>
      <ion-input formControlName="phoneNumber"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>I accept terms and conditions</ion-label>
      <ion-checkbox formControlName="termsOfUse"></ion-checkbox>
    </ion-item>
    <ion-item>
      <ion-label>Save my account</ion-label>
      <ion-checkbox formControlName="save"></ion-checkbox>
    </ion-item>
    <ion-button type="submit" expand="block">Book</ion-button>
  </form>
</ion-content>
